/*
Eteria IRC Client, an RFC 1459 compliant client program written in Java.
Copyright (C) 2000-2001  Javier Kohen <jkohen at tough.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import java.util.*;

class Command
{
    private int required;
    private int accepted;
    private String tag;

    public Command(String tag, int number)
	{
		this(tag, number, number);
    }

    public Command(String tag, int required, int accepted)
	{
		this.tag = tag;
		this.required = required;
		this.accepted = accepted;
    }

    public String getTag()
	{
		return tag;
    }

    public int getRequiredParameters()
	{
		return required;
    }

    public int getAcceptedParameters()
	{
		return accepted;
    }
}