/*
Eteria IRC Client, an RFC 1459 compliant client program written in Java.
Copyright (C) 2001  Christian Buck <cbuck at lantis.de>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import java.awt.*;

public class NewDialog extends Dialog
{
    protected EIRC eirc;

	public NewDialog(EIRC eirc)
	{
		this(eirc, false);
	}

	public NewDialog(EIRC eirc, boolean modal)
	{
		super(eirc.getFrame(), modal);
		this.eirc = eirc;
		setFont(eirc.getFont());
		setBackground(eirc.getBackground());
		setForeground(eirc.getForeground());
	}

	public void setVisible(boolean b)
	{
		if (b)
		{
			Frame f = eirc.getFrame();
       		setLocation((f.getSize().width - getSize().width) / 2 + f.getLocation().x, (f.getSize().height - getSize().height) / 2 + f.getLocation().y);
       	}
		super.setVisible(b);
	}
}

